## sonobuoy e2e

Generates a list of all tests and tags in that tests

```
sonobuoy e2e [flags]
```

### Options

```
      --context string                    Context in the kubeconfig to use.
  -f, --focus string                      Return tests which match this regular expression
  -h, --help                              help for e2e
  -i, --input string                      Determines the source of the test lists. Can be [online, offline, -]. If '-' is set, tests will be read from stdin. (default "online")
      --kubeconfig Kubeconfig             Path to explicit kubeconfig file.
  -m, --mode string                       Print mode. Can be one of [tags, tagCounts, tests] (default "tests")
  -s, --skip string                       Do not return tests which match this regular expression
      --version ConformanceImageVersion   Use default E2E image, but override the version. Default is 'auto', which will be set to your cluster's version if detected, erroring otherwise. 'ignore' will try version resolution but ignore errors. 'latest' will find the latest dev image/version upstream.
```

### Options inherited from parent commands

```
      --level level   Log level. One of {panic, fatal, error, warn, info, debug, trace} (default info)
```

### SEE ALSO

* [sonobuoy](sonobuoy.md)	 - Generate reports on your Kubernetes cluster by running plugins

###### Auto generated by spf13/cobra on 2-Mar-2023
